<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

$peticion='WSRecepcionComprasTablet#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#ALBARANESCOINCIDENTES#'.$_SESSION['almacen'].';'.$_SESSION['recepcionCompra']['proveedorCodigo'].';'.$_SESSION['recepcionCompra']['numAlbaran'];
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo '<p>'.$peticion.'</p>';
	print_r($resultado);
}

if( $resultado[0]['Error'] ) {
	echo 'Sin coincidencias';
}
else {

	?>
    <p>Albaranes coincidentes a los que asociar la Recepción actual:</p>
	
	 <table class="tablaFormateada">
    
    	<tr>
        	<th>Albarán</th>
            <th>Fecha</th>
            <th>Importe</th>
            <th style="width:60px"></th>
    	</tr>
		
		<?php foreach($resultado as $albaran) { ?>
        
        <tr class="selectorAlbaran clicable" albaran="<?php echo $albaran['Albaran']; ?>" style="height:60px">
        
        	<td><?php echo $albaran['Albaran']; ?></td>
            <td><?php echo fechaNacional(fechaDesdeProxium($albaran['Fecha'])); ?></td>
            <td><?php echo formateaNumeroCantidad($albaran['Importe']); ?> €</td>
            <td><img id="selectorAlbaranOk<?php echo $albaran['Albaran']; ?>" src="<?php echo DIR_IMAGENES; ?>/ok.png" style="width:35px;display:none" class="selectorAlbaranOk"/></td>
        
        </tr>
        
        <?php } ?>
        
	</table>
    
    <p><input type="button" name="botonAsociarAlbaranExistente" id="botonAsociarAlbaranExistente" value="Asociar al Albarán seleccionado" class="boton"/></p>
    
    <p><input type="button" name="botonAsociarAlbaranNuevo" id="botonAsociarAlbaranNuevo" value="Crear nuevo Albarán" class="boton"/></p>
    
    <p><input type="button" name="botonCancelarAsociarAlbaran" id="botonCancelarAsociarAlbaran" value="Cancelar" class="boton reducido"/></p>
    
    <script>

	$(document).ready(function(){
	
		$('.selectorAlbaran').on('click',function(){
			
			var albaran=$(this).attr('albaran');
			
			$('.selectorAlbaranOk').hide();
			
			if($('#confirmarCierreRecepcionAlbaranCoincidente').val()==albaran) {
				$('#selectorAlbaranOk'+albaran).hide();
				$('#confirmarCierreRecepcionAlbaranCoincidente').val('');
			}
			else {
				$('#selectorAlbaranOk'+albaran).show();
				$('#confirmarCierreRecepcionAlbaranCoincidente').val(albaran);
			}
			
		});
		
		$('#botonAsociarAlbaranExistente').on('click',function(){
		
			if( !$('#confirmarCierreRecepcionAlbaranCoincidente').val() ) {
				alert('Atención: no has indicado a qué Albarán asociar el cierre.',null,'error');
			}
			else {
				confirmarCierre();
			}
		
		});
		
		$('#botonAsociarAlbaranNuevo').on('click',function(){
		
			if( $('#confirmarCierreRecepcionAlbaranCoincidente').val() ) {
				confirm('Atención: has seleccionado un Albarán coincidente al que asociar este cierre. Sin embargo, has hecho click en Crear Nuevo Albarán.<br><br>¿Deseas continuar creando un nuevo Albarán?','advertencia')
				.done(function(){
					confirmarCierre();
				});
			}
			else {
				confirmarCierre();
			}
		
		});
		
		$('#botonCancelarAsociarAlbaran').on('click',function(){
		
			$('#confirmarCierreRecepcionAlbaranCoincidente').val('');
			$('#popupCierreAlbaranesCoincidentesContenido').html('');
			$('#popupCierreAlbaranesCoincidentes').hide();
		
		});
	
	});
	
	</script>
     
    <?php

}

